@echo off

REM ----------------------------------------------------------------------------
REM  arthas startup bat, add  `-Dfile.encoding=utf-8` param for display Chinese char.
REM  author : xinggang
REM  create : 2023-10-28
REM ----------------------------------------------------------------------------
set BASEDIR=%~dp0
set JAVA_HOME=%BASEDIR%\jdk-11
set PATH=%JAVA_HOME%\bin;%path%
set BOOT_JAR=%BASEDIR%\arthas-boot.jar
java -Dfile.encoding=utf-8 -jar %BOOT_JAR%